//
//  NSFileManagerExtensions.h
//  Malkinware
//
//  Created by Jim McGowan on 12/02/2010.
//  Copyright 2010 Jim McGowan. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface NSFileManager (MWNSFileManagerExtensions)

- (BOOL)mw_fileExistsAtURL:(NSURL *)fileURL;	// hopefully Apple will release methods like this, hence the prefix
- (BOOL)mw_createDirectoryAtURL:(NSURL *)dirURL withIntermediateDirectories:(BOOL)createIntermediates attributes:(NSDictionary *)attributes error:(NSError **)error;
// in 10.7+ Apple have added -createDirectoryAtURL:withIntermediateDirectories:attributes:error: to NSFileManager

@end
